#!/bin/bash

if [ -z $2 ]; then
	echo "usage: $0 <surveycount> <tgtfile.th>"
	exit 1
fi;
tgt="$2"


# read scrap content as file
scrap="$(cat scrap.th2)"

echo "survey test" > $tgt

for n in `seq 1 $1`;
        do

equate=""
join=""
if [ $n -gt 1 ]; then
	m=$(expr $n - 1)
	equate="equate 1@$n 6@$m"
	join="join scrap@$n scrap@$m"
fi

VAR=$(cat <<END_HEREDOC
survey $n
  $scrap

  centerline
    data normal from to length gradient compass
    1 2   2 -10 180
    2 3   3 15  90
    3 4   6 0  0
    4 5   2 -10 90
    5 6   4 0 180
  endcenterline

endsurvey
$equate
$join

map $n-Plan
    scrap@$n
endmap

END_HEREDOC
)

echo "$VAR" >> $tgt

done

echo "endsurvey" >> $tgt
